Skip to main content
POST
/
api
/
organizations
/
{organization_id}
/
automations
/
api-keys
Create an organization API key
curl --request POST \
  --url https://api.getgranite.ai/api/organizations/{organization_id}/automations/api-keys \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "key_id": "<string>",
  "api_key": "<string>",
  "created_at": "<string>",
  "name": "<string>"
}

Path Parameters

organization_id
string
required

Body

application/json

Request to create an organization API key

name
string | null

Optional name for the API key

Response

Successful Response

Response from creating an API key

key_id
string
required

Unique key identifier

api_key
string
required

Generated API key (only shown once)

created_at
string
required

Creation timestamp

name
string | null

Key name